import LogUtil from "~/server/utils/log"

export default defineEventHandler(async (event) => {
  try {
    let username = event.context.username
    let docker = createDockerFactory(username)
    let container = await docker.checkContainer('logwire_backend_helper.' + username + '.node')
    if (!container) {
      throw new Error('没有创建容器，请先初始化容器')
    }
    LogUtil.printInfo(username, `程序停止中......`)
    await docker.execContainerCommand({ container, cmd: 'pm2 delete platform', quiet: true })
    LogUtil.printInfo(username, `程序已停止`)
    setUserConfig(username, 'v1-status', 'stopped')
  } catch (err) {
    setResponseStatus(event, 500)
    return err
  }
})